tool
extends Node2D
class_name TK_Context

# todo: Abstract actions.
# todo: Signal registration of GameObject actions.

func local_position_to_context_position(_p_position: Vector2) -> Vector2:
    push_error("Abstract class method is unimplemented")
    return Vector2.ZERO

func is_path_traversible(_p_from: Vector2, _p_to: Vector2) -> bool:
    push_error("Abstract class method is unimplemented")
    return false

func try_moving(_p_game_object: Node2D, _p_from: Vector2, _p_to: Vector2) -> bool:
    push_error("Abstract class method is unimplemented")
    return false
